org.apache.commons.math3.linear

## Class NonPositiveDefiniteOperatorException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - java.lang.IllegalArgumentException
        - - org.apache.commons.math3.exception.MathIllegalArgumentException
          - - org.apache.commons.math3.linear.NonPositiveDefiniteOperatorException

All Implemented Interfaces:
  java.io.Serializable, ExceptionContextProvider

    public class NonPositiveDefiniteOperatorException
    extends MathIllegalArgumentException

Exception to be thrown when a symmetric, definite positive `RealLinearOperator` is expected. Since the coefficients of the matrix are not accessible, the most general definition is used to check that `A` is not positive definite, i.e. there exists `x` such that `x' A x <= 0`. In the terminology of this exception, `A` is the "offending" linear operator and `x` the "offending" vector.

Since:
  3.0
Version:
  $Id: NonPositiveDefiniteOperatorException.java 1416643 2012-12-03 19:37:14Z tn $
See Also:
  Serialized Form

### Field Summary

Fields
`private static long` `serialVersionUID` Serializable version Id.

### Constructor Summary

Constructors
Constructor and Description
`NonPositiveDefiniteOperatorException()` Creates a new instance of this class.

### Method Summary

### Methods inherited from class org.apache.commons.math3.exception.MathIllegalArgumentException

`getContext, getLocalizedMessage, getMessage`

### Methods inherited from class java.lang.Throwable

`fillInStackTrace, getCause, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### serialVersionUID

    private static final long serialVersionUID

Serializable version Id.

See Also:
  Constant Field Values

### Constructor Detail

#### NonPositiveDefiniteOperatorException

    public NonPositiveDefiniteOperatorException()

Creates a new instance of this class.